
from pyspark.sql import SparkSession
from pyspark.sql.types import *

spark = SparkSession.builder \
    .appName("Spark Snowflake Connector") \
    .config("spark.jars", "./jdbc_driver//snowflake-jdbc-3.13.16.jar,./jdbc_driver/spark-snowflake_2.12-2.9.0-spark_3.1.jar") \
    .getOrCreate()

# %%
sfOptions = {
    "sfURL" : "<account-identifier>.snowflakecomputing.com",
    "sfUser" : "<user>",
    "sfPassword" : "<password>",
    "sfDatabase" : "COMPUTE_WH",
    "sfSchema" : "PUBLIC",
    "sfWarehouse" : "WAREHOUSE",
}
jdbc_url = f"jdbc:snowflake://{sfOptions['sfURL']}/"


# %%
df = spark.read \
    .format("snowflake") \
    .options(**sfOptions) \
    .option("query", "SELECT COUNT(1) FROM WAREHOUSE.PUBLIC.WEB_EVENTS") \
    .load()

# Example: Display DataFrame schema
df.show()
